Loading...
Searching...
No Matches
vertex.h File Reference

Vertex structs. More...

`#include "graphics/core/color.h"`
`#include "graphics/core/type.h"`
`#include "math/point.h"`
`#include "math/vector.h"`
`#include <sstream>`
`#include <cstdint>`
Include dependency graph for vertex.h:

## Classes

struct | Gfx::Vertex
| Vertex of a primitive. More...
struct | Gfx::VertexCol
| Colored vertex. More...
struct | Gfx::VertexTex2
| Vertex with secondary texture coordinates. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum | VertexType { VERTEX_TYPE_NORMAL , VERTEX_TYPE_TEX2 , VERTEX_TYPE_COL }

## Detailed Description

Vertex structs.